Bug 162424 - kernel panic after running rhgb
kernel panic after running rhgb
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-07-04 09:43 EDT by Tristan Brindle
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 21:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tristan Brindle 2005-07-04 09:43:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:

I updated the kernel via Yum. However, upon reboot, the system locks up as RHGB says "setting hostname". I tried running without RHGB, which told me there was a kernel panic and printed lots of (meaningless to me) info to the screen. Unfortunately I don't know how to retrieve this to submit it!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Restart computer
2. Select new kernel in Grub
3. Witness computer locking up moments later

Actual Results:  
As above.

Expected Results:  
The computer should boot normally

Additional info:

I'm running FC4 on an Athlon XP (i686 kernel). Fedora sits on a pair of raid-ed SATA drives attached to an Asus A7V8X mobo (Via KT400 chipset).

Kernel 2.6.11-1.1369_FC4 worked perfectly.

(Apologies if this info is rubbish, by the way -- this is my first ever bug report! If you need more info please let me know.)
Comment 1 Josh Boyer 2005-07-08 09:13:56 EDT
I have this exact same problem.  The last kernel that worked for me was

I am running on an IBM T40 Thinkpad.  Both 2.6.12-1.1387_FC4 and
2.6.12-1.1390_FC4 exhibit this problem.  I tried to get a kernel backtrace of
the event, but the start of it scrolls off my screen and there is no serial port
on this particular model of Thinkpad.

Comment 2 Josh Boyer 2005-07-10 10:34:09 EDT
OK, my problem (strangely enough) appears to be because of a particular CD I
left in the CD-ROM.  I had forgotten it was there and took it out before booting
1390 and it boots just fine now.  So I'm off and running.

But I don't think the kernel should have paniced in this situation.  A bad CD
shouldn't cause the system to come down, especially when 2.6.11 seemed to cope.
 If I get more time, I'll look into it.
Comment 3 Dan Carpenter 2005-07-10 12:34:44 EDT
Then this must be the same as bug 162347
Comment 4 Dan Carpenter 2005-07-10 13:03:20 EDT
Josh's is the cdrom issue.

The original bug sounds more like bug 162321 which has been marked a dupe of bug

In 162321 has the same hang at "setting hostname".
Comment 5 Dave Jones 2005-07-15 17:37:47 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 6 Dave Jones 2005-07-28 03:45:28 EDT
Tristan, the 'meaningless info' you mention is what we need to diagnose this bug
:-)  If you can capture that, we'll have a better idea of where it's blowing up.
As it stands, we're in the dark..
Comment 7 Dan Carpenter 2005-07-28 05:30:36 EDT
>  Unfortunately I don't know how to retrieve this to submit it!

If you have a digital camera you can just take a photo, or the data should be in
/var/log/messages because by the time you get to network stuff the file system
is mounted.

My money is still on the bug 162321 dupe.

Both fail on "setting hostname"
Both work for kernel-2.6.11-1.1369_FC4
Both fail with kernel-2.6.12-1.1387_FC4

For bug 162321 kernel-2.6.12-1.1394_FC4 fixed the problem.

Comment 8 Dave Jones 2005-09-29 21:37:13 EDT
closing due to inactivity, assuming fixed in the latest errata.
If this isn't true, please reopen. Thanks.

Note You need to log in before you can comment on or make changes to this bug.